import { request } from '/@/utils/service'


export const apiPrefix = '/api/ad_manage/sp/search'

export function getProductSelect() {
  return request({
    url: apiPrefix + '/item',
    method: 'get',
  })
}

export function getProductline(query: any) {
  return request({
    url: '/api/sellers/productline/',
    method: 'get',
    params: query,
  })
}

export function getParentAsin(body: any) {
  return request({
    url: apiPrefix + '/pasin',
    method: 'post',
    data: body,
  })
}

export function getSearchedItem(body: any) {
  return request({
    url: apiPrefix,
    method: 'post',
    data: body,
  })
}

export function getSearchResult(body: any) {
  return request({
    url: apiPrefix + '/pasin',
    method: 'post',
    data: body,
  })
}
